EDIT - bug #8430

maps zoom to wrong bbox with some layers
07/31/2019 08:43 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal Found in Version:

Description

This problem has been fixed for POINT maps (#8347) but is not yet fully solved for AREA maps.

openlayers_map.js fails to transform the bbox responses of the map service to the projection of the base layer. The map service
returns the bbox in the original coordinates of the layer (see map-service/v1.4_dev/function_rest_gen.php#2110) but misses to add
the projection code into the response, which would be needed to calculate the transformation.

Examples which can be used to check the correct zooming of the map:

e http:/test.e-taxonomy.eu/dataportal/preview/cyprus/cdm_dataportal/taxon/0f8d18a9-e861-48e8-bfab-83e01a379bc0

¢ http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/name/f5048e6e-303a-4116-933b-84c678ee46d4/null/nu
1/

¢ http:/int.e-taxonomy.eu/dataportal/integration/cichorieae/cdm_dataportal/taxon/3f00a6e6-301d-4220-9691-573eccf16e0a

e http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/taxon/394f623a-0649-42f8-b706-13bd7912bca5 (no test portal
available)

e http:/test.e-taxonomy.eu/dataportal/preview/rubiaceae-mexico/cdm_dataportal/taxon/5aa65639-fdf4-442e-bdc1-3b9548ac70a6

e http:/test.e-taxonomy.eu/dataportal/preview/flora-cuba/cdm_dataportal/taxon/3368d326-afe7-414{-841a-4f182010fd1e

Associated revisions

Revision 77984014 - 07/31/2019 08:45 AM - Andreas Kohlbecker

fix #8430 fixing bbox transformation from data layer to base layer projection

Revision a77b6ald - 07/31/2019 02:40 PM - Andreas Kohlbecker

fix #8430 fixing bbox transformation from data layer to base layer projection

Revision 49c7b44e - 08/07/2019 02:39 PM - Andreas Kohlbecker
ref #8430 fixing pojection definition for epsg:7777777 (euromed)

Revision e39effec - 08/07/2019 03:06 PM - Andreas Kohlbecker
ref #8430 fixing pojection definition for epsg:7777777 (euromed)

History

#1 - 07/31/2019 08:45 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|779840f48519040a2ab59db5b7881ef0a265d6a8.

#2 - 07/31/2019 08:53 AM - Andreas Kohlbecker

- Description updated

#3 - 07/31/2019 09:03 AM - Andreas Kohlbecker

- Description updated

#4 - 07/31/2019 09:04 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
This should now be fixed for all situations. Could you please take a second look?

#5 - 08/08/2019 03:53 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Seems to work correctly. | could not find a non-working portal. Also checked some production portals as this was released as hotfix already | think.
